JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Slider::ScopedDragNotification Class Reference
juce_gui_basics » widgets

An RAII class for sending slider listener drag messages. More...

`#include <juce_Slider.h>`

## Public Member Functions
| ScopedDragNotification (Slider &)
| ~ScopedDragNotification ()

## Detailed Description

An RAII class for sending slider listener drag messages.

This is useful if you are programmatically updating the slider's value and want to imitate a mouse event, for example in a custom AccessibilityHandler.

See also
  Slider::Listener

## Constructor & Destructor Documentation

## ◆ ScopedDragNotification()

Slider::ScopedDragNotification::ScopedDragNotification | ( | Slider & |  | ) |
| explicit

## ◆ ~ScopedDragNotification()

Slider::ScopedDragNotification::~ScopedDragNotification | ( |  | ) |

The documentation for this class was generated from the following file:

- juce_Slider.h